| Qore logger_bin Module 2.0.0

Loading...
Searching...
No Matches
Public Member Functions | List of all members
Qore::Logger::LoggerInterface Class Reference

This is the base class for logger levels. More...

`#include <QC_LoggerInterface.dox.h>`

Inheritance diagram for Qore::Logger::LoggerInterface:

## Public Member Functions
abstract | assertLog (bool assertion, string message,...)
| Performs logging of assertions.
| constructor ()
| Creates the level with the supplied arguments.
abstract | debug (string message,...)
| Logs a message object with the DEBUG level.
abstract | debugVar (string var_name, auto value)
| Logs the variable name and value using DEBUG level.
abstract *LoggerLevel | decLevel ()
| Decrement logger level.
| detail (string message,...)
| Logs a message object with the DETAIL level.
abstract | error (string message,...)
| Logs a message object with the ERROR level.
abstract | fatal (string message,...)
| Logs a message object with the FATAL level.
abstract *LoggerLevel | getLevel (bool effective=True)
| Returns the logging level.
abstract *LoggerLevel | incLevel ()
| Increment logger level.
abstract | info (string message,...)
| Logs a message object with the INFO level.
abstract bool | isDebugEnabled ()
| Checks whether this Logger is enabled for the DEBUG Level.
abstract bool | isEnabledFor (Qore::Logger::LoggerLevel level)
| Checks whether this Logger is enabled for a given Level passed as parameter.
abstract bool | isEnabledFor (int level)
| Checks whether this Logger is enabled for a given Level passed as parameter.
abstract bool | isEnabledFor (string level)
| Checks whether this Logger is enabled for a given Level passed as parameter.
abstract bool | isErrorEnabled ()
| Checks whether this Logger is enabled for the ERROR Level.
abstract bool | isFatalEnabled ()
| Checks whether this Logger is enabled for the FATAL Level.
abstract bool | isInfoEnabled ()
| Checks whether this Logger is enabled for the INFO Level.
bool | isLogger (LoggerInterface logger)
| Returns True if the passed logger is the logger used to log, False if not.
abstract bool | isTraceEnabled ()
| Checks whether this Logger is enabled for the TRACE Level.
abstract bool | isWarnEnabled ()
| Checks whether this Logger is enabled for the WARN Level.
abstract | log (Qore::Logger::LoggerLevel level, string message,...)
| Logs a message using the provided logging level.
abstract | log (int level, string message,...)
| Logs a message using the provided logging level.
abstract | log (string level, string message,...)
| Logs a message using the provided logging level.
abstract | logArgs (Qore::Logger::LoggerLevel level, string message, *softlist< auto > args)
| Logs a message using the provided logging level and a single argument for any format string arguments.
abstract | logArgs (int level, string message, *softlist< auto > args)
| Logs a message using the provided logging level and a single argument for any format string arguments.
abstract | logArgs (string level, string message, *softlist< auto > args)
| Logs a message using the provided logging level and a single argument for any format string arguments.
abstract | logEvent (LoggerEvent event)
| Logs an already prepared logging event object.
abstract | setLevel (*Qore::Logger::LoggerLevel level)
| Sets the logging level.
abstract | setLevel (string level)
| Sets the logging level.
abstract | setLevel (int level)
| Sets the logging level.
abstract | trace (string message,...)
| Logs a message object with the TRACE level.
abstract | traceVar (string var_name, auto value)
| Logs the variable name and value using TRACE level.
abstract | warn (string message,...)
| Logs a message object with the WARN level.

## Detailed Description

This is the base class for logger levels.

This class stores the integer and string log level values

## Member Function Documentation

## ◆ assertLog()

abstract Qore::Logger::LoggerInterface::assertLog | ( | bool | assertion,
|  | string | message,
|  |  | ... )

Performs logging of assertions.

If the assertion parameter is False, then the message is logged using the ERROR level.

See also
  log()

Parameters

  assertion | the boolean assertion value
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

## ◆ constructor()

Qore::Logger::LoggerInterface::constructor | ( |  | ) |

Creates the level with the supplied arguments.

Parameters

  code | integer log level value
  level | string log level value

## ◆ debug()

abstract Qore::Logger::LoggerInterface::debug | ( | string | message,
|  |  | ... )

Logs a message object with the DEBUG level.

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

See also
  log()

## ◆ debugVar()

abstract Qore::Logger::LoggerInterface::debugVar | ( | string | var_name,
|  | auto | value )

Logs the variable name and value using DEBUG level.

See also
  log()

Parameters

  var_name | the variable name
  value | the value of the variable

## ◆ decLevel()

abstract *LoggerLevel Qore::Logger::LoggerInterface::decLevel | ( |  | ) |

Decrement logger level.

Returns
  current LoggerLevel

## ◆ detail()

Qore::Logger::LoggerInterface::detail | ( | string | message,
|  |  | ... )

Logs a message object with the DETAIL level.

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

Note
  This method is not abstract in order to not break existing code; by default it logs the message with the `DEBUG` level; reimplement in subclasses to implement proper `DETAIL` logging

See also
  log()

## ◆ error()

abstract Qore::Logger::LoggerInterface::error | ( | string | message,
|  |  | ... )

Logs a message object with the ERROR level.

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

See also
  log()

## ◆ fatal()

abstract Qore::Logger::LoggerInterface::fatal | ( | string | message,
|  |  | ... )

Logs a message object with the FATAL level.

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

See also
  log()

## ◆ getLevel()

abstract *LoggerLevel Qore::Logger::LoggerInterface::getLevel | ( | bool | effective = True | ) |

Returns the logging level.

Parameters

  effective | if False then get current level which can be NOTHING, if True then get level which might be inherited from parent, Default: True

Exceptions

  LOGGER-ERROR | if cannot get effective level from hierarchy

## ◆ incLevel()

abstract *LoggerLevel Qore::Logger::LoggerInterface::incLevel | ( |  | ) |

Increment logger level.

Returns
  current LoggerLevel

## ◆ info()

abstract Qore::Logger::LoggerInterface::info | ( | string | message,
|  |  | ... )

Logs a message object with the INFO level.

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

See also
  log()

## ◆ isEnabledFor() [1/3]

abstract bool Qore::Logger::LoggerInterface::isEnabledFor | ( | int | level | ) |

Checks whether this Logger is enabled for a given Level passed as parameter.

Parameters

  level | the log level to check

## ◆ isEnabledFor() [2/3]

abstract bool Qore::Logger::LoggerInterface::isEnabledFor | ( | Qore::Logger::LoggerLevel | level | ) |

Checks whether this Logger is enabled for a given Level passed as parameter.

Parameters

  level | the log level to check

## ◆ isEnabledFor() [3/3]

abstract bool Qore::Logger::LoggerInterface::isEnabledFor | ( | string | level | ) |

Checks whether this Logger is enabled for a given Level passed as parameter.

Parameters

  level | the log level to check

## ◆ log() [1/3]

abstract Qore::Logger::LoggerInterface::log | ( | int | level,
|  | string | message,
|  |  | ... )

Logs a message using the provided logging level.

Parameters

  level | the logging level
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

## ◆ log() [2/3]

abstract Qore::Logger::LoggerInterface::log | ( | Qore::Logger::LoggerLevel | level,
|  | string | message,
|  |  | ... )

Logs a message using the provided logging level.

Parameters

  level | The logging level
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

## ◆ log() [3/3]

abstract Qore::Logger::LoggerInterface::log | ( | string | level,
|  | string | message,
|  |  | ... )

Logs a message using the provided logging level.

Parameters

  level | The logging level
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

## ◆ logArgs() [1/3]

abstract Qore::Logger::LoggerInterface::logArgs | ( | int | level,
|  | string | message,
|  | *softlist< auto > | args )

Logs a message using the provided logging level and a single argument for any format string arguments.

Parameters

  level | the logging level
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information
  args | any format string arguments to the log message

## ◆ logArgs() [2/3]

abstract Qore::Logger::LoggerInterface::logArgs | ( | Qore::Logger::LoggerLevel | level,
|  | string | message,
|  | *softlist< auto > | args )

Logs a message using the provided logging level and a single argument for any format string arguments.

Parameters

  level | The logging level
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information
  args | any format string arguments to the log message

## ◆ logArgs() [3/3]

abstract Qore::Logger::LoggerInterface::logArgs | ( | string | level,
|  | string | message,
|  | *softlist< auto > | args )

Logs a message using the provided logging level and a single argument for any format string arguments.

Parameters

  level | The logging level
  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information
  args | any format string arguments to the log message

## ◆ logEvent()

abstract Qore::Logger::LoggerInterface::logEvent | ( | LoggerEvent | event | ) |

Logs an already prepared logging event object.

Parameters

  event | the event to log

## ◆ setLevel() [1/3]

abstract Qore::Logger::LoggerInterface::setLevel | ( | *Qore::Logger::LoggerLevel | level | ) |

Sets the logging level.

Parameters

  level | if nothing then inherits level from parent

## ◆ setLevel() [2/3]

abstract Qore::Logger::LoggerInterface::setLevel | ( | int | level | ) |

Sets the logging level.

Parameters

  level | the logging level to set

## ◆ setLevel() [3/3]

abstract Qore::Logger::LoggerInterface::setLevel | ( | string | level | ) |

Sets the logging level.

Parameters

  level | the logging level as a string

## ◆ trace()

abstract Qore::Logger::LoggerInterface::trace | ( | string | message,
|  |  | ... )

Logs a message object with the TRACE level.

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

See also
  log()

## ◆ traceVar()

abstract Qore::Logger::LoggerInterface::traceVar | ( | string | var_name,
|  | auto | value )

Logs the variable name and value using TRACE level.

See also
  log()

Parameters

  var_name | the variable name
  value | the value of the variable

## ◆ warn()

abstract Qore::Logger::LoggerInterface::warn | ( | string | message,
|  |  | ... )

Logs a message object with the WARN level.

Parameters

  message | a string to log used as a format string for vsprintf(). Optional arguments are passed to the Qore::Logger::LoggerEvent object. If the last parameter is an ExceptionInfo typed hash, then it is considered "throwable" information

See also
  log()

The documentation for this class was generated from the following file:

- modules/logger_bin/src/QC_LoggerInterface.dox.h